Bug 1632895 - [3.11] logging-eventrouter event not formatted correctly in Elasticsearch when using MUX
Summary: [3.11] logging-eventrouter event not formatted correctly in Elasticsearch whe...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Logging
Version: 3.11.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 3.11.z
Assignee: Noriko Hosoi
QA Contact: Anping Li
URL:
Whiteboard:
Depends On: 1554293
Blocks: 1632892
TreeView+ depends on / blocked
 
Reported: 2018-09-25 18:58 UTC by Noriko Hosoi
Modified: 2018-11-20 03:11 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: When fluentd is configured as the combination of collectors and MUX, event logs from the event were supposed to be processed by MUX not by the collector for the both MUX_CLIENT_MODE maximal and minimal. It is because if an event log is formatted in the collector (note: the event record is put under the kubernetes key), the log is forwarded to MUX and passed to the k8s-meta plugin there and the existing kubernetes record is overwritten. It wiped out the event info from the log. Fix 1: To avoid the replacement, if the log is from event router, the tag is rewritten to ${tag}.raw in input-post-forward-mux.conf, which makes the log treated in the MUX_CLIENT_MODE=minimal way. Fix 2: There was another bug in ansible. That is, the environment variable TRANSFORM_EVENTS was not set in MUX even if openshift_logging_install_eventrouter is set to true. Result: With these 2 fixes, the event logs are correctly logged when MUX is configured with MUX_CLIENT_MODE=maximal as well as minimal.
Clone Of: 1554293
Environment:
Last Closed: 2018-11-20 03:10:43 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:3537 None None None 2018-11-20 03:11:19 UTC

Comment 3 Qiaoling Tang 2018-11-02 09:31:00 UTC
Tested on ose-logging-fluentd-v3.11.36-1, the logging Event router format json are well parsed with mux enabled.

Move this bug to verified.

Comment 5 errata-xmlrpc 2018-11-20 03:10:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:3537


Note You need to log in before you can comment on or make changes to this bug.